# Created by pyp2rpm-3.3.6
%global pypi_name click-default-group

%global _description %{expand:
Provides DefaultGroup, a subclass of click.Group that invokes a default
subcommand instead of showing a help message when a subcommand is not passed.}

Name:           python-%{pypi_name}
Version:        1.2.4
Release:        %mkrel 4
Group:          Development/Python
Summary:        Extends click.Group to invoke a command without explicit subcommand name

License:        BSD
URL:            https://github.com/sublee/click-default-group/
Source0:        %url/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(flit-core)

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
echo "python3dist(click)"
echo "python3dist(pytest)"

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files click_default_group

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.2.4-4.mga10
+ Revision: 2239826
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.2.4-3.mga10
+ Revision: 2156851
- rebuild for python3.13

* Thu Mar 07 2024 papoteur <papoteur> 1.2.4-2.mga10
+ Revision: 2048305
- rebuild for python 3.12

* Sun Oct 22 2023 papoteur <papoteur> 1.2.4-1.mga10
+ Revision: 2000104
- new 1.2.4
- remove upstreamed patch

* Tue Mar 29 2022 umeabot <umeabot> 1.2.2-3.mga9
+ Revision: 1833275
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.2.2-2.mga9
+ Revision: 1781988
- rebuild for python-3.10

* Sun Jul 25 2021 joequant <joequant> 1.2.2-1.mga9
+ Revision: 1737714
- update deps
- update deps
- update deps
- imported package python-click-default-group

